<!-- navbar -->
<div class="navbar navbar-default navbar-static-top" role="navigation">
	<div class="container">

		<div class="navbar-header">
			<!-- to enable navigation dropdown when viewed in mobile device -->
			<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
			<span class="sr-only">Toggle navigation</span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			</button>

			<!-- Change "Your Site" to your site name -->
			<a class="navbar-brand" href="<?php echo $home_url; ?>products">XYZ Webstore</a>
		</div>

		<div class="navbar-collapse collapse">
			<ul class="nav navbar-nav">

				<!-- highlight if $page_title has 'Products' word. -->
				<li <?php echo strpos($page_title, "Product")!==false ? "class='active dropdown'" : "class='dropdown'"; ?>>
					<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
						Products <span class="caret"></span>
					</a>
					<ul class="dropdown-menu" role="menu">

						<!--
							highlight if $page_title has 'Products' word AND
							category name wasn't set, because it is 'all products' page.
						-->
						<li <?php echo strpos($page_title, 'Product')!==false && !isset($category_name) ? "class='active'" : ""; ?>>
							<a href="<?php echo $home_url; ?>products">All Products</a>
						</li>

						<?php
						// read all product categories
						$stmt=$category->readAll_WithoutPaging();
						$num = $stmt->rowCount();

						if($num>0){
							while($row = $stmt->fetch(PDO::FETCH_ASSOC)){

								// highlight if the currenct $category_name is the same as the current category name in the loop
								if(isset($category_name) && $category_name==$row['name']){
									echo "<li class='active'><a href='{$home_url}category.php?id={$row['id']}'>{$row['name']}</a></li>";
								}

								// no highlight
								else{
									echo "<li><a href='{$home_url}category.php?id={$row['id']}'>{$row['name']}</a></li>";
								}
							}
						}
						?>
					</ul>
				</li>

			</ul>

			<div class="col-sm-4 col-md-4">
				<form class="navbar-form" role="search" action="<?php echo $home_url; ?>search.php">
				<div class="input-group">
					<input type="text" class="form-control" placeholder="Type product name..." name="s" />
					<div class="input-group-btn">
						<button class="btn btn-default" type="submit"><i class="glyphicon glyphicon-search"></i></button>
					</div>
				</div>
				</form>
			</div>

			<!-- upper right corner options -->
			<ul class="nav navbar-nav navbar-right">


			<?php
			// check if users / customer was logged in
			// if user was logged in, show "Edit Profile", "Orders" and "Logout" options
			if(isset($_SESSION['logged_in']) && $_SESSION['logged_in']==true && $_SESSION['access_level']=='Customer'){
			?>
				<li <?php echo $page_title=="Edit Profile" || $page_title=="Orders" || $page_title=="Order Details" ? "class='active'" : ""; ?>>
					<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
						<span class="glyphicon glyphicon-user" aria-hidden="true"></span>
						&nbsp;&nbsp;<?php echo $_SESSION['firstname']; ?>
						&nbsp;&nbsp;<span class="caret"></span>
					</a>
					<ul class="dropdown-menu" role="menu">
						<li <?php echo $page_title=="Edit Profile" ? "class='active'" : ""; ?>>
							<a href="<?php echo $home_url; ?>edit_profile.php">Edit Profile</a>
						</li>
						<li <?php echo $page_title=="Change Password" ? "class='active'" : ""; ?>>
							<a href="<?php echo $home_url; ?>change_password.php">Change Password</a>
						</li>
						<li <?php echo $page_title=="Orders" || $page_title=="Order Details" ? "class='active'" : ""; ?>>
							<a href="<?php echo $home_url; ?>orders.php">Orders</a>
						</li>
						<li><a href="<?php echo $home_url; ?>logout.php">Logout</a></li>
					</ul>
				</li>
			<?php
			}

			// if user was not logged in, show the "login" and "sign up" options
			else{
			?>
				<li <?php echo $page_title=="Login" ? "class='active'" : ""; ?>>
					<a href="<?php echo $home_url; ?>login">
						<span class="glyphicon glyphicon-log-in"></span> Log In
					</a>
				</li>

			<?php
			}
			?>

			<!-- link to the "Cart" page, highlight if current page is cart.php -->
			<li <?php echo $page_title=="Cart" ? "class='active'" : ""; ?> >
				<a href="<?php echo $home_url; ?>cart">
					<?php
					// return count, session user_id was set in core.php
					$cart_item->user_id=$_SESSION['user_id'];
					// echo "UID: " . $_SESSION['user_id'];
					$cart_count=$cart_item->countAll();
					?>
					Cart <span class="badge" id="comparison-count"><?php echo $cart_count; ?></span>
				</a>
			</li>

		</div><!--/.nav-collapse -->

	</div>
</div>
<!-- /navbar -->
